clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

* 2-YR TERM 
use mortgage_statistics_dataset_rate_increase.dta, clear 

keep if frm==1

keep if inlist(term,24)

keep if reset_mon>=m(2012m7)

keep if reset_renew==1 

drop if month==m(2019m7)

drop if lifecy>term+18 

gen d60 = (mop==3)
gen d90 = (mop==4)

* Regressions
foreach x of varlist d60 d90{
foreach tt of numlist 24{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table d60_24 d90_24,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.6f) stats(N) 


* 3-YR TERM 
use mortgage_statistics_dataset_rate_increase.dta, clear 

keep if frm==1

keep if inlist(term,36)

keep if reset_mon>=m(2012m10)

keep if reset_renew==1 

drop if month==m(2019m7)

drop if lifecy>term+18 

gen d60 = (mop==3)
gen d90 = (mop==4)

* Regressions 
foreach x of varlist d60 d90{
foreach tt of numlist 36{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table d60_36 d90_36,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.6f) stats(N) 


* 4-YR TERM 
use mortgage_statistics_dataset_rate_increase.dta, clear 

keep if frm==1

keep if inlist(term,48)

keep if reset_mon>=m(2012m11)

keep if reset_renew==1 

drop if month==m(2019m7)

drop if lifecy>term+18 

gen d60 = (mop==3)
gen d90 = (mop==4)

* Regressions 
foreach x of varlist d60 d90{
foreach tt of numlist 48{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table d60_48 d90_48,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.6f) stats(N) 


* 5-YR TERM 
use mortgage_statistics_dataset_rate_increase.dta, clear 

keep if frm==1

keep if inlist(term,60)

keep if reset_mon>=m(2013m2)

keep if reset_renew==1 

drop if month==m(2019m7)

drop if lifecy>term+18 

gen d60 = (mop==3)
gen d90 = (mop==4)

* Regressions 
foreach x of varlist d60 d90{
foreach tt of numlist 60{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table d60_60 d90_60,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.6f) stats(N) 
