clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

* 2-YR TERM 
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,24)

keep if reset_mon>=m(2012m7)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

drop if postrenew_reco==. 

* Regressions 
foreach x of varlist cscore {
foreach tt of numlist 24 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist by65_60 by65_90 in65_60 in65_90 ai65_60 ai65_90 bc65_60 bc65_90 {
foreach tt of numlist 24 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table cscore_24,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table by65_60_24 by65_90_24 in65_60_24 in65_90_24 ai65_60_24 ai65_90_24 bc65_60_24 bc65_90_24,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

* 3-YR TERM 
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,36)

keep if reset_mon>=m(2012m10)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

drop if postrenew_reco==. 

* Regressions 
foreach x of varlist cscore {
foreach tt of numlist 36 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist by65_60 by65_90 in65_60 in65_90 ai65_60 ai65_90 bc65_60 bc65_90 {
foreach tt of numlist 36 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table cscore_36,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table by65_60_36 by65_90_36 in65_60_36 in65_90_36 ai65_60_36 ai65_90_36 bc65_60_36 bc65_90_36,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

* 4-YR TERM 
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,48)

keep if reset_mon>=m(2012m11)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

drop if postrenew_reco==. 

* Regressions 
foreach x of varlist cscore {
foreach tt of numlist 48 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist by65_60 by65_90 in65_60 in65_90 ai65_60 ai65_90 bc65_60 bc65_90 {
foreach tt of numlist 48 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table cscore_48,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table by65_60_48 by65_90_48 in65_60_48 in65_90_48 ai65_60_48 ai65_90_48 bc65_60_48 bc65_90_48,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

* 5-YR TERM 
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,60)

keep if reset_mon>=m(2013m2)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

drop if postrenew_reco==. 

* Regressions 
foreach x of varlist cscore {
foreach tt of numlist 60 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist by65_60 by65_90 in65_60 in65_90 ai65_60 ai65_90 bc65_60 bc65_90 {
foreach tt of numlist 60 {
quietly xtreg f3.`x' postrenew_reco age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table cscore_60,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table by65_60_60 by65_90_60 in65_60_60 in65_90_60 ai65_60_60 ai65_90_60 bc65_60_60 bc65_90_60,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

