clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

use borrower_statistics_dataset_rate_decrease.dta,clear

keep if frm==1

keep if inlist(term,24,36,48,60)

keep if reset_mon>=m(2010m1)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month>m(2017m1)

drop if postrenew_reco==. 

gen tot_util_ur = (bc33 + by33)/(bc28 + by28)
sum tot_util_ur,d
gen p99 = r(p99)
gen tot_util_rp99 = tot_util_ur 
replace tot_util_rp99 = . if tot_util_ur>=p99
drop p99

* ALL CONSUMER SUMMARY STATISTICS BY TERM
* 2-YR TERM 
sum age if term==24, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==24, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==24, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==24, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==24, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==24, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==24, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==24, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==24, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==24, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==24, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==24, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==24, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N


* 3-YR TERM 
sum age if term==36, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==36, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==36, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==36, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==36, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==36, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==36, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==36, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==36, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==36, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==36, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==36, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==36, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N

* 4-YR TERM 
sum age if term==48, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==48, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==48, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==48, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==48, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==48, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==48, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==48, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==48, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==48, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==48, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==48, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==48, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N

* 5-YR TERM 
sum age if term==60, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==60, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==60, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==60, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==60, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==60, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==60, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==60, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==60, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==60, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==60, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==60, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==60, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N

* RATE INCREASE EPISODE
* 2-YR TERM 
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,24)

keep if reset_mon>=m(2012m7)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

drop if postrenew_reco==. 

gen tot_util_ur = (bc33 + by33)/(bc28 + by28)
sum tot_util_ur,d
gen p99 = r(p99)
gen tot_util_rp99 = tot_util_ur 
replace tot_util_rp99 = . if tot_util_ur>=p99
drop p99

* ALL CONSUMER SUMMARY STATISTICS
sum age if term==24, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==24, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==24, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==24, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==24, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==24, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==24, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==24, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==24, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==24, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==24, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==24, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==24, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N

* 3-YR TERM
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,36)

keep if reset_mon>=m(2012m10)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

gen tot_util_ur = (bc33 + by33)/(bc28 + by28)
sum tot_util_ur,d
gen p99 = r(p99)
gen tot_util_rp99 = tot_util_ur 
replace tot_util_rp99 = . if tot_util_ur>=p99
drop p99

* ALL CONSUMER SUMMARY STATISTICS
sum age if term==36, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==36, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==36, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==36, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==36, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==36, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==36, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==36, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==36, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==36, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==36, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==36, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==36, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N

* 4-YR TERM
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,48)

keep if reset_mon>=m(2012m11)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

gen tot_util_ur = (bc33 + by33)/(bc28 + by28)
sum tot_util_ur,d
gen p99 = r(p99)
gen tot_util_rp99 = tot_util_ur 
replace tot_util_rp99 = . if tot_util_ur>=p99
drop p99

* ALL CONSUMER SUMMARY STATISTICS
sum age if term==48, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==48, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==48, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==48, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==48, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==48, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==48, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==48, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==48, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==48, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==48, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==48, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==48, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N

* 5-YR TERM  
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1

keep if inlist(term,60)

keep if reset_mon>=m(2013m2)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month==m(2019m7)

gen tot_util_ur = (bc33 + by33)/(bc28 + by28)
sum tot_util_ur,d
gen p99 = r(p99)
gen tot_util_rp99 = tot_util_ur 
replace tot_util_rp99 = . if tot_util_ur>=p99
drop p99

* ALL CONSUMER SUMMARY STATISTICS
sum age if term==60, d
mat A = r(mean), r(sd)
mat rownames A = "age"
sum cscore if term==60, d
mat B = r(mean), r(sd)
mat rownames B = "credit score"
sum tot_util_rp99 if term==60, d
mat C = r(mean), r(sd)
mat rownames C = "credit utilization"
sum newauto if term==60, d
mat D = r(mean), r(sd)
mat rownames D = "auto spending"
sum newauto_ba if term==60, d
mat E = r(mean), r(sd)
mat rownames E = "prob. of an auto purchase"
sum newinstall if term==60, d
mat F = r(mean), r(sd)
mat rownames F = "install spending"
sum newinstall_ba if term==60, d
mat G = r(mean), r(sd)
mat rownames G = "prob. of an installment loan origination"
sum bc33 if term==60, d
mat H = r(mean), r(sd)
mat rownames H = "cc balance"
sum by33 if term==60, d
mat I = r(mean), r(sd)
mat rownames I = "loc balance"
sum ai65_60 if term==60, d
mat J = r(mean), r(sd)
mat rownames J = "60-day auto loan delinquency"
sum in65_60 if term==60, d
mat K = r(mean), r(sd)
mat rownames K= "60-day installment loan delinquency"
sum bc65_60 if term==60, d
mat L = r(mean), r(sd)
mat rownames L = "60-day credit card delinquency"
sum by65_60 if term==60, d
mat M = r(mean), r(sd)
mat rownames M = "60-day lines of credit delinquency"
mat N = A\B\C\D\E\F\G\H\I\J\K\L\M
mat colnames N = mean sd
mat list N
