clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

use nonrenewed_accounts_increase.dta, clear

sort tu_consumer_id open_mon_orig tu_trade_id norenewed rep_mon 
by tu_consumer_id open_mon_orig tu_trade_id norenewed: gen temp = 1 if _n==_N & norenewed==1
by tu_consumer_id open_mon_orig tu_trade_id norenewed: replace temp = 1 if temp[_n+1]==1 & norenewed==1 & _n ==_N-1 
by tu_consumer_id open_mon_orig tu_trade_id norenewed: replace temp = 1 if temp[_n+1]==1 & norenewed==1 & _n ==_N-2 
tab temp 

sort tu_consumer_id open_mon tu_trade_id norenewed rep_mon 
by tu_consumer_id open_mon tu_trade_id norenewed: gen temp2 = 1 if open_mon>=closed_mon - 3 & open_mon<=closed_mon + 3 & norenewed==. & rep_mon>=open_mon & rep_mon<=open_mon+6
tab temp2 

keep if temp==1|temp2==1

sort tu_consumer_id open_mon rep_mon tu_trade_id
by tu_consumer_id open_mon rep_mon: egen sum_current_balance = sum(current_balance)
by tu_consumer_id open_mon rep_mon: gen n = 1 if _n==1 
keep if n==1 
drop n 

sort tu_consumer_id open_mon tu_trade_id rep_mon 
by tu_consumer_id: egen norenewed2 = sum(norenewed)
by tu_consumer_id: gen norenewed3 = sum(norenewed)

* refi 
sort tu_consumer_id open_mon tu_trade_id rep_mon 
by tu_consumer_id: gen temp = sum_current_balance/sum_current_balance[_n-3] if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]==encry_zip[1])
by tu_consumer_id: replace temp = sum_current_balance/sum_current_balance[_n-3] if (norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]==encry_zip[1])
by tu_consumer_id: replace temp = sum_current_balance/sum_current_balance[_n-1] if (norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & encry_zip[_N]==encry_zip[1])

sum temp,d 

by tu_consumer_id: gen refi_all = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1])
tab refi_all 

by tu_consumer_id: gen refi_diff = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]!=l3[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]!=l3[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]!=l3[1])
tab refi_diff

by tu_consumer_id: gen refi_same = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]==l3[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]==l3[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & temp>=1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]==l3[1])
tab refi_same 

tab refi_all
tab refi_diff
tab refi_same 

* renewal 
sort tu_consumer_id open_mon tu_trade_id rep_mon 
by tu_consumer_id: gen renew_all = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1])
tab renew_all

by tu_consumer_id: gen renew_diff = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]!=l3[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]!=l3[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]!=l3[1])
tab renew_diff 

by tu_consumer_id: gen renew_same = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]==l3[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]==l3[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & temp<1.05 & temp!=. & encry_zip[_N]==encry_zip[1] & l3[_N]==l3[1])
tab renew_same 

tab renew_all
tab renew_diff 
tab renew_same  

* purchase  
sort tu_consumer_id open_mon tu_trade_id rep_mon 
by tu_consumer_id: gen purch_all = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]!=encry_zip[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]!=encry_zip[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & encry_zip[_N]!=encry_zip[1])
tab purch_all

by tu_consumer_id: gen purch_diff = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]!=encry_zip[1] & l3[_N]!=l3[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]!=encry_zip[1] & l3[_N]!=l3[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & encry_zip[_N]!=encry_zip[1] & l3[_N]!=l3[1])
tab purch_diff

by tu_consumer_id: gen purch_same = 1 if (norenewed[_n-3]==1 & norenewed2[_n-3]==3 & norenewed3[_n-3]==2 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]!=encry_zip[1] & l3[_N]==l3[1])|(norenewed[_n-3]==1 & norenewed2[_n-3]==2 & norenewed3[_n-3]==1 & open_mon[_n-3]!=open_mon & open_mon==open_mon[_n-1] & open_mon[_n-3]==open_mon[_n-2] & encry_zip[_N]!=encry_zip[1] & l3[_N]==l3[1])|(norenewed[_n-1]==1 & norenewed2[_n-1]==1 & norenewed3==1 & open_mon[_n-1]!=open_mon & encry_zip[_N]!=encry_zip[1] & l3[_N]==l3[1])
tab purch_same

tab purch_all
tab purch_diff 
tab purch_same

* all consumers counted once
sort tu_consumer_id open_mon tu_trade_id rep_mon 
by tu_consumer_id: gen count = 1 if _n==1
tab count
