clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

use borrower_statistics_dataset_rate_decrease.dta,clear

keep if frm==1

keep if inlist(term,24,36,48,60)

keep if reset_mon>=m(2010m1)

keep if reset_renew==1 

drop if month>m(2017m1)

drop if postrenew_reco==. 

drop if lifecy>term+18

sort tu_consumer_id open_mon tu_trade_id month
by tu_consumer_id open_mon tu_trade_id: egen test = sum(postrenew_reco)

drop if test>12 

* 2-YR TERM 
* Regressions 
foreach x of varlist bc33 by33 bcy33 {
foreach tt of numlist 24{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newauto_ba newauto {
foreach tt of numlist 24{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newinstall_ba newinstall {
foreach tt of numlist 24{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}


estimates table bc33_24 by33_24 bcy33_24,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table newauto_ba_24 newinstall_ba_24,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

estimates table newauto_24 newinstall_24,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

* 3-YR TERM 
* Regressions 
foreach x of varlist bc33 by33 bcy33 {
foreach tt of numlist 36{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newauto_ba newauto {
foreach tt of numlist 36{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newinstall_ba newinstall {
foreach tt of numlist 36{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table bc33_36 by33_36 bcy33_36,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table newauto_ba_36 newinstall_ba_36,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

estimates table newauto_36 newinstall_36,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

* 4-YR TERM 
* Regressions 
foreach x of varlist bc33 by33 bcy33 {
foreach tt of numlist 48{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newauto_ba newauto {
foreach tt of numlist 48{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newinstall_ba newinstall {
foreach tt of numlist 48{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}


estimates table bc33_48 by33_48 bcy33_48,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table newauto_ba_48 newinstall_ba_48,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

estimates table newauto_48 newinstall_48,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

* 5-YR TERM 
* Regressions 
foreach x of varlist bc33 by33 bcy33 {
foreach tt of numlist 60{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newauto_ba newauto {
foreach tt of numlist 60{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

foreach x of varlist newinstall_ba newinstall {
foreach tt of numlist 60{
quietly xtreg `x' postrenew_reco lagcscore age lagfsaltv i.month if term==`tt',fe r
estimates store `x'_`tt'
}
}

estimates table bc33_60 by33_60 bcy33_60,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)

estimates table newauto_ba_60 newinstall_ba_60,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)

estimates table newauto_60 newinstall_60,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)
