clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

use borrower_statistics_dataset_rate_decrease.dta,clear

keep if frm==1

keep if inlist(term,24,36,48,60)

keep if reset_mon>=m(2010m1)

keep if reset_renew==1 

drop if lifecy>term+18

drop if month>m(2017m1)

drop if postrenew_reco==. 

keep if term==nextterm

* 2-YR TERM 
* Regressions 
xtreg newauto postrenew_reco lagcscore age lagfsaltv i.month if term==24, fe r
estimates store newauto_24 

xtreg newauto_ba postrenew_reco lagcscore age lagfsaltv i.month if term==24, fe r
estimates store newauto_ba_24

xtreg newinstall postrenew_reco lagcscore age lagfsaltv i.month if term==24, fe r
estimates store newinstall

xtreg newinstall_ba postrenew_reco lagcscore age lagfsaltv i.month if term==24, fe r
estimates store newinstall_ba

xtreg bc33 postrenew_reco lagcscore age lagfsaltv i.month if term==24, fe r
estimates store bc33_24

xtreg by33 postrenew_reco lagcscore age lagfsaltv i.month if term==24, fe r
estimates store by33_24

xtreg bcy33 postrenew_reco lagcscore age lagfsaltv i.month if term==24, fe r
estimates store bcy33_24

estimates table newauto_24 newinstall_24 bc33_24 by33_24 bcy33_24,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_24 newinstall_ba_24,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 


* 3-YR TERM 
* Regressions 
xtreg newauto postrenew_reco lagcscore age lagfsaltv i.month if term==36, fe r
estimates store newauto_36
	
xtreg newauto_ba postrenew_reco lagcscore age lagfsaltv i.month if term==36, fe r
estimates store newauto_ba_36

xtreg newinstall postrenew_reco lagcscore age lagfsaltv i.month if term==36, fe r
estimates store newinstall_36

xtreg newinstall_ba postrenew_reco lagcscore age lagfsaltv i.month if term==36, fe r
estimates store newinstall_ba_36

xtreg bc33 postrenew_reco lagcscore age lagfsaltv i.month if term==36, fe r
estimates store bc33_36

xtreg by33 postrenew_reco lagcscore age lagfsaltv i.month if term==36, fe r
estimates store by33_36

xtreg bcy33 postrenew_reco lagcscore age lagfsaltv i.month if term==36, fe r
estimates store bcy33_36

estimates table newauto_36 newinstall_36 bc33_36 by33_36 bcy33_36,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_36 newinstall_ba_36,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

* 4-YR TERM 
* Regressions 
xtreg newauto postrenew_reco lagcscore age lagfsaltv i.month if term==48, fe r
estimates store newauto_48
	
xtreg newauto_ba postrenew_reco lagcscore age lagfsaltv i.month if term==48, fe r
estimates store newauto_ba_48

xtreg newinstall postrenew_reco lagcscore age lagfsaltv i.month if term==48, fe r
estimates store newinstall_48

xtreg newinstall_ba postrenew_reco lagcscore age lagfsaltv i.month if term==48, fe r
estimates store newinstall_ba_48

xtreg bc33 postrenew_reco lagcscore age lagfsaltv i.month if term==48, fe r
estimates store bc33_48

xtreg by33 postrenew_reco lagcscore age lagfsaltv i.month if term==48, fe r
estimates store by33_48

xtreg bcy33 postrenew_reco lagcscore age lagfsaltv i.month if term==48, fe r
estimates store bcy33_48

estimates table newauto_48 newinstall_48 bc33_48 by33_48 bcy33_48,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_48 newinstall_ba_48,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

* 5-YR TERM 
* Regressions 
xtreg newauto postrenew_reco lagcscore age lagfsaltv i.month if term==60, fe r
estimates store newauto_60
	
xtreg newauto_ba postrenew_reco lagcscore age lagfsaltv i.month if term==60, fe r
estimates store newauto_ba_60

xtreg newinstall postrenew_reco lagcscore age lagfsaltv i.month if term==60, fe r
estimates store newinstall_60

xtreg newinstall_ba postrenew_reco lagcscore age lagfsaltv i.month if term==60, fe r
estimates store newinstall_ba_60

xtreg bc33 postrenew_reco lagcscore age lagfsaltv i.month if term==60, fe r
estimates store bc33_60

xtreg by33 postrenew_reco lagcscore age lagfsaltv i.month if term==60, fe r
estimates store by33_60

xtreg bcy33 postrenew_reco lagcscore age lagfsaltv i.month if term==60, fe r
estimates store bcy33_60

estimates table newauto_60 newinstall_60 bc33_60 by33_60 bcy33_60,keep(postrenew_reco) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_60 newinstall_ba_60,keep(postrenew_reco) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

