clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

use borrower_statistics_dataset_rate_decrease.dta,clear

keep if frm==1

keep if inlist(term,24,36,48,60,84,120)

keep if reset_mon>=m(2010m1)

keep if reset_mon<m(2015m1) 

keep if (reset_renew==1)|term==84|term==120

drop if lifecy>term+18

drop if month>m(2017m1)

drop if postrenew_reco==. 

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
xtreg newauto X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store newauto_60
xtreg newauto X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store newauto_48
xtreg newauto X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store newauto_36
xtreg newauto X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store newauto_24

xtreg newauto_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store newauto_ba_60
xtreg newauto_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store newauto_ba_48
xtreg newauto_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store newauto_ba_36
xtreg newauto_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store newauto_ba_24

xtreg newinstall X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_60
xtreg newinstall X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_48
xtreg newinstall X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_36
xtreg newinstall X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_24

xtreg newinstall_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_ba_60
xtreg newinstall_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_ba_48
xtreg newinstall_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_ba_36
xtreg newinstall_ba X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store newinstall_ba_24

xtreg by33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store by33_60
xtreg by33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store by33_48
xtreg by33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store by33_36
xtreg by33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store by33_24

xtreg bc33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store bc33_60
xtreg bc33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store bc33_48
xtreg bc33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store bc33_36
xtreg bc33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store bc33_24

xtreg bcy33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store bcy33_60
xtreg bcy33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store bcy33_48
xtreg bcy33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store bcy33_36
xtreg bcy33 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store bcy33_24

estimates table newauto_24 newinstall_24 bc33_24 by33_24 bcy33_24,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_24 newinstall_ba_24,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table newauto_36 newinstall_36 bc33_36 by33_36 bcy33_36,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_36 newinstall_ba_36,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table newauto_48 newinstall_48 bc33_48 by33_48 bcy33_48,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_48 newinstall_ba_48,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table newauto_60 newinstall_60 bc33_60 by33_60 bcy33_60,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_60 newinstall_ba_60,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 


