clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

use mortgage_statistics_dataset_rate_decrease.dta,clear 

keep if frm==1

keep if inlist(term,24,36,48,60,84,120)

keep if reset_mon>=m(2010m1)

keep if reset_mon<m(2015m1) 

keep if (reset_renew==1)|term==84|term==120

drop if lifecy>term+18 //longer horizons have fewer obs, espeically for 36 amd 48 

drop if postrenew_reco==. 

gen d60 = (mop==3)

gen TT = T0 if postrenew_reco==0
replace TT = T1 if postrenew_reco==1

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
xtreg rate X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store rate_60
xtreg rate X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store rate_48
xtreg rate X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store rate_36
xtreg rate X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store rate_24
	
xtreg req_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store req_amt_60
xtreg req_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store req_amt_48
xtreg req_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store req_amt_36
xtreg req_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store req_amt_24

xtreg terms_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store terms_amt_60
xtreg terms_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store terms_amt_48
xtreg terms_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store terms_amt_36
xtreg terms_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store terms_amt_24

xtreg TT X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store TT_60
xtreg TT X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store TT_48
xtreg TT X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store TT_36
xtreg TT X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store TT_24

xtreg d60 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & inlist(term,60,84,120), fe vce(cl tu_trade_id)
estimates store d60_60
xtreg d60 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & inlist(term,48,84,120), fe vce(cl tu_trade_id)
estimates store d60_48
xtreg d60 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & inlist(term,36,84,120), fe vce(cl tu_trade_id)
estimates store d60_36
xtreg d60 X T15 reset_renew  lagcscore age lagfsaltv i.month if reset_mon>=m(2013m1) & reset_mon<=m(2014m12) & inlist(term,24,84,120), fe vce(cl tu_trade_id)
estimates store d60_24

estimates table rate_24 req_amt_24 terms_amt_24 TT_24,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table d60_24,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table rate_36 req_amt_36 terms_amt_36 TT_36,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table d60_36,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table rate_48 req_amt_48 terms_amt_48 TT_48,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table d60_48,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table rate_60 req_amt_60 terms_amt_60 TT_60,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table d60_60,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 
