clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

use borrower_statistics_dataset_rate_decrease.dta,clear

keep if frm==1 

keep if reset_mon>=m(2010m1)

keep if reset_mon<m(2015m1) 

keep if inlist(term,36,48,60)

drop if lifecy>term+18

drop if postrenew_reco==. 

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
foreach var of varlist newauto newinstall newauto_ba newinstall_ba bc33 by33 bcy33{
foreach num of numlist 36{
xtreg `var' X T15 reset_renew  lagcscore age lagfsaltv i.month if (term==`num' & reset_mon>=m(2012m1) & reset_mon<=m(2013m12) & reset_renew==1)|(term==`num' & reset_mon>=m(2014m1) & reset_mon<=m(2014m12) & reset_renew==0)  , fe vce(cl tu_trade_id)
estimates store `var'_`num'
}
}

foreach var of varlist newauto newinstall newauto_ba newinstall_ba bc33 by33 bcy33{
foreach num of numlist 48{
xtreg `var' X T15 reset_renew  lagcscore age lagfsaltv i.month if (term==`num' & reset_mon>=m(2011m1) & reset_mon<=m(2012m12) & reset_renew==1)|(term==`num' & reset_mon>=m(2013m1) & reset_mon<=m(2013m12) & reset_renew==0)  , fe vce(cl tu_trade_id)
estimates store `var'_`num'
}
}

foreach var of varlist newauto newinstall newauto_ba newinstall_ba bc33 by33 bcy33{
foreach num of numlist 60{
xtreg `var' X T15 reset_renew  lagcscore age lagfsaltv i.month if (term==`num' & reset_mon>=m(2010m1) & reset_mon<=m(2011m12) & reset_renew==1)|(term==`num' & reset_mon>=m(2012m1) & reset_mon<=m(2012m12) & reset_renew==0)  , fe vce(cl tu_trade_id)
estimates store `var'_`num'
}
}

estimates table newauto_36 newinstall_36 bc33_36 by33_36 bcy33_36,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_36 newinstall_ba_36,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table newauto_48 newinstall_48 bc33_48 by33_48 bcy33_48,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_48 newinstall_ba_48,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

estimates table newauto_60 newinstall_60 bc33_60 by33_60 bcy33_60,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_60 newinstall_ba_60,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 
