clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

* 3-YR TERM 
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1 

keep if reset_mon>=m(2012m10)

keep if reset_mon<m(2017m10) 

keep if inlist(term,36,48,60)

drop if lifecy>term+18

drop if month==m(2019m7)

drop if postrenew_reco==. 

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
foreach var of varlist newauto newinstall newauto_ba newinstall_ba bc33 by33 bcy33{
foreach num of numlist 36{
xtreg `var' X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,36) & reset_mon>=m(2014m10) & reset_mon<=m(2016m8) & reset_renew==1)|(inlist(term,36) & reset_mon>=m(2016m9) & reset_mon<=m(2017m9) & reset_renew==0) , fe vce(cl tu_trade_id)
estimates store `var'_`num'
}
}

estimates table newauto_36 newinstall_36 bc33_36 by33_36 bcy33_36,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_36 newinstall_ba_36,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

* 4-YR TERM 
use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1 

keep if reset_mon>=m(2012m11)

keep if reset_mon<m(2017m11) 

keep if inlist(term,36,48,60)

drop if lifecy>term+18

drop if month==m(2019m7)

drop if postrenew_reco==. 

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
foreach var of varlist newauto newinstall newauto_ba newinstall_ba bc33 by33 bcy33{
foreach num of numlist 48{
xtreg `var' X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,48) & reset_mon>=m(2013m11) & reset_mon<=m(2015m8) & reset_renew==1)|(inlist(term,36) & reset_mon>=m(2015m9) & reset_mon<=m(2016m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store `var'_`num'
}
}

estimates table newauto_48 newinstall_48 bc33_48 by33_48 bcy33_48,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table newauto_ba_48 newinstall_ba_48,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

* 5-YR TERM 

use borrower_statistics_dataset_rate_increase.dta,clear

keep if frm==1 

keep if reset_mon>=m(2013m2)

keep if reset_mon<m(2018m2) 

keep if inlist(term,36,48,60)

drop if lifecy>term+18

rename rep_mon month

drop if month==m(2019m7)

drop if postrenew_reco==. 

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
foreach var of varlist newauto newinstall newauto_ba newinstall_ba bc33 by33 bcy33{
foreach num of numlist 60{
xtreg `var' X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,60) & reset_mon>=m(2013m2) & reset_mon<=m(2014m8) & reset_renew==1)|(inlist(term,60) & reset_mon>=m(2014m9) & reset_mon<=m(2015m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store `var'_`num'
}
}
estimates table newauto_60 newinstall_60 bc33_60 by33_60 bcy33_60,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N)
estimates table newauto_ba_60 newinstall_ba_60,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N)
