clear all
cap close
set more off
set excelxlsxlargefile on

cd ""

* 3-YR TERM 
use mortgage_statistics_dataset_rate_increase.dta, clear 

keep if frm==1 

keep if reset_mon>=m(2012m10)

keep if reset_mon<m(2017m10) 

keep if inlist(term,36,48,60)

drop if lifecy>term+18

rename rep_mon month

drop if month==m(2019m7)

drop if postrenew_reco==. 

gen d60 = (mop==3)

gen TT = T0 if postrenew_reco==0
replace TT = T1 if postrenew_reco==1

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
xtreg rate X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,36) & reset_mon>=m(2014m10) & reset_mon<=m(2016m8) & reset_renew==1)|(inlist(term,36) & reset_mon>=m(2016m9) & reset_mon<=m(2017m9) & reset_renew==0) , fe vce(cl tu_trade_id)
estimates store rate_36
	
xtreg req_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,36) & reset_mon>=m(2014m10) & reset_mon<=m(2016m8) & reset_renew==1)|(inlist(term,36) & reset_mon>=m(2016m9) & reset_mon<=m(2017m9) & reset_renew==0) , fe vce(cl tu_trade_id)
estimates store req_amt_36

xtreg terms_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,36) & reset_mon>=m(2014m10) & reset_mon<=m(2016m8) & reset_renew==1)|(inlist(term,36) & reset_mon>=m(2016m9) & reset_mon<=m(2017m9) & reset_renew==0) , fe vce(cl tu_trade_id)
estimates store terms_amt_36

xtreg TT X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,36) & reset_mon>=m(2014m10) & reset_mon<=m(2016m8) & reset_renew==1)|(inlist(term,36) & reset_mon>=m(2016m9) & reset_mon<=m(2017m9) & reset_renew==0) , fe vce(cl tu_trade_id)
estimates store TT_36

xtreg d60 X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,36) & reset_mon>=m(2014m10) & reset_mon<=m(2016m8) & reset_renew==1)|(inlist(term,36) & reset_mon>=m(2016m9) & reset_mon<=m(2017m9) & reset_renew==0) , fe vce(cl tu_trade_id)
estimates store d60_36

estimates table rate_36 req_amt_36 terms_amt_36 TT_36,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table d60_36,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

* 4-YR TERM 

use mortgage_statistics_dataset_rate_increase.dta, clear 

keep if frm==1 

keep if reset_mon>=m(2012m11)

keep if reset_mon<m(2017m11) 

keep if inlist(term,36,48,60)

drop if lifecy>term+18

rename rep_mon month

drop if month==m(2019m7)

drop if postrenew_reco==. 

gen d60 = (mop==3)

gen TT = T0 if postrenew_reco==0
replace TT = T1 if postrenew_reco==1

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
xtreg rate X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,48) & reset_mon>=m(2013m11) & reset_mon<=m(2015m8) & reset_renew==1)|(inlist(term,48) & reset_mon>=m(2015m9) & reset_mon<=m(2016m9) & reset_renew==0) , fe vce(cl tu_trade_id)
estimates store rate_48
	
xtreg req_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,48) & reset_mon>=m(2013m11) & reset_mon<=m(2015m8) & reset_renew==1)|(inlist(term,48) & reset_mon>=m(2015m9) & reset_mon<=m(2016m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store req_amt_48

xtreg terms_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,48) & reset_mon>=m(2013m11) & reset_mon<=m(2015m8) & reset_renew==1)|(inlist(term,48) & reset_mon>=m(2015m9) & reset_mon<=m(2016m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store terms_amt_48

xtreg TT X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,48) & reset_mon>=m(2013m11) & reset_mon<=m(2015m8) & reset_renew==1)|(inlist(term,48) & reset_mon>=m(2015m9) & reset_mon<=m(2016m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store TT_48

xtreg d60 X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,48) & reset_mon>=m(2013m11) & reset_mon<=m(2015m8) & reset_renew==1)|(inlist(term,48) & reset_mon>=m(2015m9) & reset_mon<=m(2016m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store d60_48

estimates table rate_48 req_amt_48 terms_amt_48 TT_48,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table d60_48,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

* 5-YR TERM 
use mortgage_statistics_dataset_rate_increase.dta, clear 

keep if frm==1 

keep if reset_mon>=m(2013m2)

keep if reset_mon<m(2018m2) 

keep if inlist(term,36,48,60)

drop if lifecy>term+18

rename rep_mon month

drop if month==m(2019m7)

drop if postrenew_reco==. 

gen d60 = (mop==3)

gen TT = T0 if postrenew_reco==0
replace TT = T1 if postrenew_reco==1

gen T15 = postrenew_reco
gen X = T15*reset_renew

* Regressions 
xtreg rate X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,60) & reset_mon>=m(2013m2) & reset_mon<=m(2014m8) & reset_renew==1)|(inlist(term,60) & reset_mon>=m(2014m9) & reset_mon<=m(2015m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store rate_60
	
xtreg req_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,60) & reset_mon>=m(2013m2) & reset_mon<=m(2014m8) & reset_renew==1)|(inlist(term,60) & reset_mon>=m(2014m9) & reset_mon<=m(2015m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store req_amt_60

xtreg terms_amt X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,60) & reset_mon>=m(2013m2) & reset_mon<=m(2014m8) & reset_renew==1)|(inlist(term,60) & reset_mon>=m(2014m9) & reset_mon<=m(2015m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store terms_amt_60

xtreg TT X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,60) & reset_mon>=m(2013m2) & reset_mon<=m(2014m8) & reset_renew==1)|(inlist(term,60) & reset_mon>=m(2014m9) & reset_mon<=m(2015m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store TT_60

xtreg d60 X T15 reset_renew  lagcscore age lagfsaltv i.month if (inlist(term,60) & reset_mon>=m(2013m2) & reset_mon<=m(2014m8) & reset_renew==1)|(inlist(term,60) & reset_mon>=m(2014m9) & reset_mon<=m(2015m9) & reset_renew==0), fe vce(cl tu_trade_id)
estimates store d60_60

estimates table rate_60 req_amt_60 terms_amt_60 TT_60,keep(X) b(%7.3f) se(%7.3f) p(%7.3f) stats(N) 
estimates table d60_60,keep(X) b(%7.6f) se(%7.6f) p(%7.3f) stats(N) 

